<!DOCTYPE html>
<html>
<head>
    <title>ChitChat</title>
    <link rel="stylesheet" type="text/css" href="stylesheet/main.css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat|Roboto" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Satisfy" rel="stylesheet">
    <script type="text/javascript" src="jquery-3.3.1.min.js"></script>
</head>
<body>
    <header>
        <h1>
            Chit~Chat<img src="https://pbs.twimg.com/profile_images/2129297499/favicon.png" style="height: 5vh; margin: 8px 8px">
        </h1>
    </header>
    <div class="login" id="login-buton"><a style="color:white; text-decoration: none;" href="javascript:Login('show');" id="login">Login</a></div>
    <hr class="hrline" style="margin:0">

    <div id="popupbox" class="hidden">
      <form name="login" action="javascript:Login('hide');" method="post">
          <center style="font-size: 2vw;">Username:</center>
          <center><input id="username" name="username"" style="width: 80%" /></center>
          <center><input id="username-submit-btn" type="submit" name="submit" value="login" /></center>
      </form>
   </div>

    <div class ="container">
        <div class= "chatroom-tab channel" style="display: block;">
            <p># Channels</p>
            <br>
        </div>

        <div class="container2">

            <p class="add-channel-link">+Add Channel</p>
            
            <div class="add-channel" >
                <input class="submit-channel" type="text" name="message" id="add-channel" size="50">
                <button id="add-channel" class="add-channel-btn">Add Channel</button>
            </div>

            <hr class="hrline" style="margin-top:5px;">
            <div class="message-area">
              <div class="message"></div>
            </div>
            <div class="messageboard" style="size: 50%;">
                <div class="form">
                    <input class="submit-btn" type="text" name="message" id="message" size="80">
                    <button class="send-btn">Send</button>
                    <br>
                </div>
            </div>
        </div>    
    </div>
    <script src="main.js"></script>
    <script src="https://js.pusher.com/4.4/pusher.min.js"></script>
  <script>

    // Enable pusher logging - don't include this in production
    Pusher.logToConsole = true;

    var pusher = new Pusher('45ab6b11a253df86f87b', {
      cluster: 'ap2',
      forceTLS: true
    });

    var channel = pusher.subscribe('messages');
    channel.bind('message-added', function(data) {
      if(currentChannelId === data.channel_id){
        $('.message-area').append($('<p>').text(data.username + " :").css("font-weight", "bold"));
        $('.message-area').append($('<p>').text(data.message).css("font-size","14px").css("padding","0 3%"));
        $('.message-area').append($('<hr>').addClass("hrline"))
      }
  
    });
  </script>
</body>
</html>